快手 · 内容详情

视频详情

传入视频 ID 或链接,每条视频返回一条记录,含描述、话题标签、播放数、点赞数、评论数、分享数、收藏数和作者。

POST/v1/kuaishou/videoDetails

$0.0018每条

1,000 条
≈ $1.80
每取一条最低
$0.001282

可用试用额度一次返回,没有 cursor

在控制台里试

怎么发

用 POST 带 JSON 请求体,或者用 GET 把同样的参数放进查询串。key 放在 Authorization 头里。

curl -X POST "https://api.silklinedata.com/v1/kuaishou/videoDetails" \
  -H "Authorization: Bearer $SILKLINE_KEY" \
  -H "Content-Type: application/json" \
  -d '{"limit":5,"videos":["5254012114897019306"]}'

返回什么

这是 2026-11-09 一次真实请求返回的记录。普通用户的名字、头像和主页链接显示为 <masked>;长文字只在这里截短,接口里是完整的。

200 OK · 取数日期 2026-11-09
{
  "data": [
    {
      "type": "video",
      "videoId": "5254012114897019306",
      "url": "https://www.kuaishou.com/short-video/…",
      "workType": "video",
      "description": "#老铁解馋饭局",
      "hashtags": [
        "老铁解馋饭局"
      ],
      "createdAt": "2026-07-06T08:47:42Z",
      "durationSeconds": 8.9,
      "playCount": 16420834,
      "likeCount": 180054,
      "commentCount": 8771,
      "shareCount": 25255,
      "collectCount": 10468,
      "downloadCount": null,
      "authorId": "<masked>",
      "authorName": "<masked>",
      "authorKwaiId": null,
      "authorGender": null,
      "authorVerified": "<masked>",
      "authorAvatarUrl": "<masked>",
      "authorProfileUrl": "<masked>",
      "musicId": "5xum9jyyv9f3fec",
      "musicTitle": "雪雪。爱家乡😁😁的作品原声",
      "musicArtist": "雪雪。爱家乡😁😁",
      "coverUrl": "http://ws2.a.kwimgs.com/upic/2026/07/…",
      "videoUrl": "http://v1.kwaicdn.com/ksc1/zJlQkD79WL…",
      "width": 720,
      "height": 1280,
      "ipLocation": null,
      "aiDisclosure": null
    }
  ],
  "cursor": null,
  "meta": {
    "request_id": "req_01JD8Q…",
    "charged_usd": "0.001800",
    "balance_usd": "9.875000",
    "items": 1
  }
}

字段 30

字段类型示例值
typestringvideo
videoIdstring5254012114897019306
urlstringhttps://www.kuaishou.com/short-video/3xfdf952b4qfehk
workTypestringvideo
descriptionstring#老铁解馋饭局
hashtagsarray["老铁解馋饭局"]
createdAtstring2026-07-06T08:47:42Z
durationSecondsnumber8.9
playCountnumber16420834
likeCountnumber180054
commentCountnumber8771
shareCountnumber25255
collectCountnumber10468
downloadCountnullnull
authorIdstring<masked>
authorNamestring<masked>
authorKwaiIdnullnull
authorGendernullnull
authorVerifiedstring<masked>
authorAvatarUrlstring<masked>
authorProfileUrlstring<masked>
musicIdstring5xum9jyyv9f3fec
musicTitlestring雪雪。爱家乡😁😁的作品原声
musicArtiststring雪雪。爱家乡😁😁
coverUrlstringhttp://ws2.a.kwimgs.com/upic/2026/07/06/16/BMjAyNjA3MDYxNjQ3…
videoUrlstringhttp://v1.kwaicdn.com/ksc1/zJlQkD79WLwIlwywYDiwRjw87UEpJDeCm…
widthnumber720
heightnumber1280
ipLocationnullnull
aiDisclosurenullnull

参数 2

参数名类型必填说明示例
limitinteger否返回的记录条数,1 到 100。一次请求返回的条数不会超过这个值。5
videosarray是数字视频 ID 或快手视频链接(直接粘贴分享文案也可以)。留空时回退到一个示例视频。["5254012114897019306"]

翻页

这个接口一次请求就返回全部:要更多条就把 limit 调大(最多 100)。cursor 一直是 null。

一次请求花多少

按条计费;一次请求条数少或没有结果时,每取一页收费不超过这个接口每页的最低收费,可能更低;我们这边出错或超时不收费。

这个接口每条单独取,每取一条的最低收费是 $0.001282。

  • 1 条:最多 $0.0018
  • 20 条:最多 $0.036
  • 100 条:最多 $0.18

返回的 meta 里写着这次扣了多少(charged_usd)和还剩多少(balance_usd)。我们这边出错不收费。

常见问题

「视频详情」要传哪些参数?

必填:videos。另外都可以传 limit(1 到 100)。

一次请求最多返回多少条?

每次请求最多 100 条(limit 1 到 100)。每页最多 1 条,要 100 条时一次请求取 100 页。

能接着往后取吗?

不能。这个接口一次请求就把结果全部返回,回答里的 cursor 是 null。

怎么收费?

每条 记录 $0.0018。每页最低收费 $0.001282:条数少或没有结果时,每取一页最多收这么多,可能更低。取 100 条最多 $0.18。

请求失败或者没有结果时怎么收费?

按条计费;一次请求条数少或没有结果时,每取一页收费不超过这个接口每页的最低收费,可能更低;我们这边出错或超时不收费。回答里的 meta 写着这次收了多少、余额还剩多少。